image: ubuntu:jammy

stages:
  - build

build:
  stage: build
  artifacts:
    paths:
    - jitsi-meet-x86_64.AppImage
    - jitsi-meet-amd64.deb
    - jitsi-meet-x86_64.rpm
  script:
    - apt-get update
    - DEBIAN_FRONTEND='noninteractive' apt-get install -y g++ git make curl libx11-dev libpng-dev libxtst-dev rpm
    - curl -sL https://deb.nodesource.com/setup_16.x | bash
    - apt-get install -y nodejs rpm
    - git clone https://github.com/jitsi/jitsi-meet-electron.git
    - cd jitsi-meet-electron/
    - git checkout $(git describe --tags `git rev-list --tags --max-count=1`)
    - cp ../package.json.patch .
    - git apply package.json.patch
    - npm ci
    - npm run dist
    - mv dist/jitsi-meet-x86_64.AppImage ../
    - mv dist/jitsi-meet-amd64.deb ../
    - mv dist/jitsi-meet-x86_64.rpm ../
